package com.boman.web.core.service.message;

import com.boman.domain.dto.AjaxResult;
import com.boman.domain.dto.FormDataDto;
import com.boman.domain.dto.QueryBySqlDto;
import com.boman.web.core.domain.MessageDto;

/**
 * @author shiqian
 * @date 2021年07月08日 13:56
 **/
public interface MessageService {

    /**
     * 功能描述: 撤回
     *
     * @param id id
     * @return java.lang.String
     */
    boolean withdraw(Long id);

    /*
     * 功能描述: 超过30分钟true，否则false
     *
     * @param id id
     * @return boolean
     */
    boolean canDownload(Long id);

    /**
     * 功能描述: 未完成的发文，对应菜单（申请中）
     *
     * @param queryBySql queryBySql
     * @return List<JSONObject>
     */
    AjaxResult notFinishMessages(QueryBySqlDto queryBySql);

    /**
     * 功能描述: 代办
     *
     * @param dto queryBySql
     * @return List<JSONObject>
     */
    AjaxResult toDoMessage(FormDataDto dto);

    /**
     * 修改收文情况
     *
     * @param dto
     * @return
     */
    AjaxResult receiveMessage(MessageDto dto);

    AjaxResult deleteReceive(Long id);
}
